summaryrefslogtreecommitdiffstats
path: root/testcases/vIMS/CI/create_venv.sh
diff options
context:
space:
mode:
authorboucherv <valentin.boucher@orange.com>2015-10-05 08:15:40 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-10-05 08:15:40 +0000
commit50bdbcf6e885cf663c28f8e73770acf1e64f09fc (patch)
tree9e27fa6e6cc9ea6683cfb2abd0269432c6455f06 /testcases/vIMS/CI/create_venv.sh
parent05db0c76a2eefd2a490573973d417f29eb1303c9 (diff)
parent7040a716bdc4ca36e22988fdc931adb080e2a059 (diff)
Merge "vIMS deployment and cleanup"
Diffstat (limited to 'testcases/vIMS/CI/create_venv.sh')
-rwxr-xr-xtestcases/vIMS/CI/create_venv.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/testcases/vIMS/CI/create_venv.sh b/testcases/vIMS/CI/create_venv.sh
new file mode 100755
index 000000000..15294f77b
--- /dev/null
+++ b/testcases/vIMS/CI/create_venv.sh
@@ -0,0 +1,36 @@
+#!/bin/bash -e
+
+# Script checks that venv exists. If it doesn't it will be created
+# It requires python2.7 and virtualenv packages installed
+
+BASEDIR=`dirname $0`
+VENV_PATH=$1
+VENV_NAME="venv_cloudify"
+function venv_install() {
+ if command -v virtualenv-2.7; then
+ virtualenv-2.7 $1
+ elif command -v virtualenv2; then
+ virtualenv2 $1
+ elif command -v virtualenv; then
+ virtualenv $1
+ else
+ echo Cannot find virtualenv command.
+ return 1
+ fi
+}
+
+# exit when something goes wrong during venv install
+set -e
+if [ ! -d "$VENV_PATH/$VENV_NAME" ]; then
+ venv_install $VENV_PATH/$VENV_NAME
+ echo "Virtualenv" + $VENV_NAME + "created."
+fi
+
+if [ ! -f "$VENV_PATH/$VENV_NAME/updated" -o $BASEDIR/requirements.pip -nt $VENV_PATH/$VENV_NAME/updated ]; then
+ source $VENV_PATH/$VENV_NAME/bin/activate
+ pip install -r $BASEDIR/requirements.pip
+ touch $VENV_PATH/$VENV_NAME/updated
+ echo "Requirements installed."
+ deactivate
+fi
+set +e